%define pam_ldap_version 46
Summary: NSS library and PAM module for LDAP.
Name: nss_ldap
Version: 105
Release: 1
Source0: ftp://ftp.padl.com/pub/%{name}-%{version}.tar.gz
Source1: ldap.conf
Source2: ftp://ftp.padl.com/pub/pam_ldap-%{pam_ldap_version}.tar.gz
Patch0: nss_ldap-104-redhat.patch
Patch1: nss_ldap-104-pam_console.patch
Patch2: pam_ldap-43-redhat.patch
URL: http://www.padl.com/
Copyright: LGPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: pam_ldap

%description
This package includes two LDAP access clients: nss_ldap and pam_ldap.
Nss_ldap is a set of C library extensions which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install nss_ldap if you need LDAP access clients.

%prep
%setup -q -a 2
%patch0 -p1 -b .redhat
%patch1 -p1 -b .pam_console
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.fixtypo
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.pam_console

cd pam_ldap-%{pam_ldap_version}
%patch2 -p1 -b .redhat

%build
make COMPILERFLAGS="$RPM_OPT_FLAGS -fPIC" -f Makefile.RPM 

make -C pam_ldap-%{pam_ldap_version} -f Makefile.linux
{
  pushd pam_ldap-%{pam_ldap_version}
  mv README README.pam
  mv ChangeLog ChangeLog.pam
  popd
}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib}
make install -f Makefile.RPM
chmod +x $RPM_BUILD_ROOT/lib/*so

make install -C pam_ldap-%{pam_ldap_version} -f Makefile.linux

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ldap.conf


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/*
/usr/lib/*
%config(noreplace) /etc/ldap.conf
%doc ANNOUNCE README BUGS ChangeLog CONTRIBUTORS COPYING.LIB IRS
%doc nsswitch.ldap
%doc pam_ldap-%{pam_ldap_version}/README.pam pam_ldap-%{pam_ldap_version}/ChangeLog.pam pam_ldap-%{pam_ldap_version}/pam.d

%changelog
* Wed Feb  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 105

* Mon Feb  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 104 and pam_ldap 46
- disable link against libpthread in pam_ldap

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove migration tools, because this package requires openldap now, which
  also includes them

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 103

* Mon Jan 24 2000 Preston Brown <pbrown@redhat.com>
- fix typo in linuxconf-pair pam cfg file (#7800)

* Tue Jan 11 2000 Preston Brown <pbrown@redhat.com>
- v99, made it require pam_ldap
- added perl migration tools
- integrate pam_ldap stuff

* Fri Oct 22 1999 Bill Nottingham <notting@redhat.com>
- statically link ldap libraries (they're in /usr/lib)

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- use the ldap.conf file as an external source
- don't forcibly build the support for version 3
- imported the default spec file from the tarball and fixed it up for RH 6.1
